Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration
                  org.gradle.api.plugins.jetty.JettyConfiguration

All Implemented Interfaces:
  java.io.Serializable, org.mortbay.jetty.webapp.Configuration

    public class JettyConfiguration

extends org.mortbay.jetty.plus.webapp.Configuration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`_callbacks, _injections, _runAsCollection`

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`JettyConfiguration()`

Method Summary
`void` | `configureClassLoader()` Set up the classloader for the webapp, using the various parts of the Maven project
`protected java.net.URL` | `findWebXml()`
`void` | `parseAnnotations()`
`void` | `setClassPathConfiguration(java.util.List classPathFiles)`
`void` | `setWebXml(java.io.File webXmlFile)`

Methods inherited from class org.mortbay.jetty.plus.webapp.Configuration
`bindEnvEntry, bindMessageDestinationRef, bindResourceEnvRef, bindResourceRef, bindUserTransaction, configureDefaults, configureWebApp, deconfigureWebApp, lockCompEnv, unlockCompEnv`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, setWebAppContext`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyConfiguration

    public JettyConfiguration()

Method Detail

### setClassPathConfiguration

    public void setClassPathConfiguration(java.util.List classPathFiles)

### setWebXml

    public void setWebXml(java.io.File webXmlFile)

### configureClassLoader

    public void configureClassLoader()
                              throws java.lang.Exception

  Set up the classloader for the webapp, using the various parts of the Maven project

  Specified by:
    `configureClassLoader` in interface `org.mortbay.jetty.webapp.Configuration`
  Overrides:
    `configureClassLoader` in class `org.mortbay.jetty.plus.webapp.Configuration`
  Throws:
    `java.lang.Exception`
  See Also:
    `Configuration.configureClassLoader()`

### findWebXml

    protected java.net.URL findWebXml()
                               throws java.io.IOException

  Overrides:
    `findWebXml` in class `org.mortbay.jetty.webapp.WebXmlConfiguration`
  Throws:
    `java.io.IOException`

### parseAnnotations

    public void parseAnnotations()
                          throws java.lang.Exception

  Overrides:
    `parseAnnotations` in class `org.mortbay.jetty.plus.webapp.Configuration`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD